import { EventEmitter, ElementRef } from '@angular/core';
import { FloatButtonService } from '../float-button.service';
import { IconProp } from '@fortawesome/fontawesome-svg-core';
import { TooltipDirective } from './tooltip.directive';
import * as i0 from "@angular/core";
export declare class FloatButtonItemComponent {
    stateService: FloatButtonService;
    icon: IconProp;
    tooltip: string;
    color: string;
    disabled: boolean;
    tooltipDisabled: boolean;
    clicked: EventEmitter<void>;
    elementRef: ElementRef<HTMLButtonElement>;
    tooltipRef: TooltipDirective;
    constructor(stateService: FloatButtonService);
    onClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FloatButtonItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FloatButtonItemComponent, "corebox-float-button-item", never, { "icon": { "alias": "icon"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": true; }; "color": { "alias": "color"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "tooltipDisabled": { "alias": "tooltipDisabled"; "required": false; }; }, { "clicked": "clicked"; }, never, never, false, never>;
}
