import { AfterViewInit, EventEmitter, OnChanges, OnDestroy, OnInit, QueryList, SimpleChanges } from '@angular/core';
import { FloatButtonItemComponent } from './float-button-item/float-button-item.component';
import { FloatButtonService } from './float-button.service';
import { IconProp } from '@fortawesome/fontawesome-svg-core';
import * as i0 from "@angular/core";
export declare class FloatButtonComponent implements OnInit, OnChanges, AfterViewInit, OnDestroy {
    stateService: FloatButtonService;
    icon: IconProp;
    color: string;
    marginBottom: string;
    marginRight: string;
    disabled: boolean;
    isOpen: boolean;
    hoverable: boolean;
    clicked: EventEmitter<void>;
    private _initState;
    private _stateSubscription;
    buttons: QueryList<FloatButtonItemComponent>;
    constructor(stateService: FloatButtonService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private showTooltips;
    toggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FloatButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FloatButtonComponent, "corebox-float-button", never, { "icon": { "alias": "icon"; "required": false; }; "color": { "alias": "color"; "required": false; }; "marginBottom": { "alias": "marginBottom"; "required": false; }; "marginRight": { "alias": "marginRight"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "isOpen": { "alias": "isOpen"; "required": false; }; "hoverable": { "alias": "hoverable"; "required": false; }; }, { "clicked": "clicked"; }, ["buttons"], ["*"], false, never>;
}
