import { OnInit } from '@angular/core';
import { AppItem } from '../types/app-item';
import { MenuItem } from '../types/menu-item';
import { ProfileOptions } from '../types/profile-options';
import { MenuOptions, Theme } from '../types/theme';
import * as i0 from "@angular/core";
export declare class TemplateComponent implements OnInit {
    themes: Theme[];
    pathToAvatarImage: string;
    menuItems: MenuItem[];
    appItems: AppItem[];
    menuOptions: MenuOptions;
    profileOptions?: ProfileOptions;
    menuClosed: boolean;
    appsIsOpen: boolean;
    ngOnInit(): void;
    getMenuOptions: () => MenuOptions;
    getCompanyName: () => string;
    appsOpened($event: boolean): void;
    useClosedMenuClass(): boolean;
    useMenuOpenedClass(): boolean;
    toggleMenu(state: boolean): void;
    closeSubMenu: () => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TemplateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TemplateComponent, "corebox-template", never, { "themes": { "alias": "themes"; "required": false; }; "pathToAvatarImage": { "alias": "pathToAvatarImage"; "required": false; }; "menuItems": { "alias": "menuItems"; "required": false; }; "appItems": { "alias": "appItems"; "required": false; }; "menuOptions": { "alias": "menuOptions"; "required": false; }; "profileOptions": { "alias": "profileOptions"; "required": false; }; }, {}, never, never, false, never>;
}
