import { EventEmitter, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AppItem } from '../types/app-item';
import { ProfileOptions } from '../types/profile-options';
import * as i0 from "@angular/core";
export declare class HeaderComponent implements OnInit {
    router: Router;
    profileOptions?: ProfileOptions;
    appItems: AppItem[];
    menuClosed: boolean;
    showMenu: boolean;
    appsIsOpen: boolean;
    profileIsOpen: boolean;
    profileMenuButtonPressed: boolean;
    appsMenuButtonPressed: boolean;
    menuChanged: EventEmitter<boolean>;
    appsOpenedEvent: EventEmitter<boolean>;
    constructor(router: Router);
    ngOnInit(): void;
    toogleProfileMenu: (pressionouBotao: boolean) => void;
    toogleAppsMenu: (pressionouBotao: boolean) => void;
    toogleMenu(): void;
    isMobile: () => boolean;
    closeSubMenu: () => void;
    useClosedMenuClass(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderComponent, "corebox-header", never, { "profileOptions": { "alias": "profileOptions"; "required": false; }; "appItems": { "alias": "appItems"; "required": false; }; "menuClosed": { "alias": "menuClosed"; "required": false; }; "showMenu": { "alias": "showMenu"; "required": false; }; }, { "menuChanged": "menuChanged"; "appsOpenedEvent": "appsOpenedEvent"; }, never, never, false, never>;
}
