import { EventEmitter } from '@angular/core';
import { IconName } from '@fortawesome/free-solid-svg-icons';
import * as i0 from "@angular/core";
export declare class ModalComponent {
    closeIcon: IconName;
    cancelButtonClass: string;
    cancelButtonText: string;
    content: string;
    submitButtonText: string;
    title: string;
    titleBackgroundColor: string;
    titleFontColor: string;
    titleIcon: IconName;
    submitEvent: EventEmitter<void>;
    closeEvent: EventEmitter<void>;
    submit(): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalComponent, "corebox-modal", never, { "closeIcon": { "alias": "closeIcon"; "required": false; }; "cancelButtonClass": { "alias": "cancelButtonClass"; "required": false; }; "cancelButtonText": { "alias": "cancelButtonText"; "required": false; }; "content": { "alias": "content"; "required": false; }; "submitButtonText": { "alias": "submitButtonText"; "required": false; }; "title": { "alias": "title"; "required": false; }; "titleBackgroundColor": { "alias": "titleBackgroundColor"; "required": false; }; "titleFontColor": { "alias": "titleFontColor"; "required": false; }; "titleIcon": { "alias": "titleIcon"; "required": false; }; }, { "submitEvent": "submitEvent"; "closeEvent": "closeEvent"; }, never, never, false, never>;
}
